## tracker-ontology

tracker-ontology

## Synopsis

    #define             TRACKER_IS_ONTOLOGY                 (o)
    #define             TRACKER_IS_ONTOLOGY_CLASS           (k)
    #define             TRACKER_ONTOLOGY                    (o)
    #define             TRACKER_ONTOLOGY_CLASS              (k)
    #define             TRACKER_ONTOLOGY_GET_CLASS          (o)
    #define             TRACKER_TYPE_ONTOLOGY
                        TrackerOntology;
                        TrackerOntologyClass;
    gboolean            tracker_ontology_get_is_new         (TrackerOntology *ontology);
    time_t              tracker_ontology_get_last_modified  (TrackerOntology *ontology);
    GType               tracker_ontology_get_type           (void);
    const gchar *       tracker_ontology_get_uri            (TrackerOntology *ontology);
    TrackerOntology *   tracker_ontology_new                (void);
    void                tracker_ontology_set_is_new         (TrackerOntology *ontology,
                                                             gboolean value);
    void                tracker_ontology_set_last_modified  (TrackerOntology *ontology,
                                                             time_t value);
    void                tracker_ontology_set_uri            (TrackerOntology *ontology,
                                                             const gchar *value);

## Description

## Details

### TRACKER_IS_ONTOLOGY()

    #define TRACKER_IS_ONTOLOGY(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), TRACKER_TYPE_ONTOLOGY))

`o` : |

### TRACKER_IS_ONTOLOGY_CLASS()

    #define TRACKER_IS_ONTOLOGY_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), TRACKER_TYPE_ONTOLOGY))

`k` : |

### TRACKER_ONTOLOGY()

    #define TRACKER_ONTOLOGY(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), TRACKER_TYPE_ONTOLOGY, TrackerOntology))

`o` : |

### TRACKER_ONTOLOGY_CLASS()

    #define TRACKER_ONTOLOGY_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST ((k), TRACKER_TYPE_ONTOLOGY, TrackerOntologyClass))

`k` : |

### TRACKER_ONTOLOGY_GET_CLASS()

    #define TRACKER_ONTOLOGY_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), TRACKER_TYPE_ONTOLOGY, TrackerOntologyClass))

`o` : |

### TRACKER_TYPE_ONTOLOGY

    #define TRACKER_TYPE_ONTOLOGY         (tracker_ontology_get_type ())

### TrackerOntology

    typedef struct {
    	GObject parent;
    } TrackerOntology;

### TrackerOntologyClass

    typedef struct {
    	GObjectClass parent_class;
    } TrackerOntologyClass;

### tracker_ontology_get_is_new ()

    gboolean            tracker_ontology_get_is_new         (TrackerOntology *ontology);

`ontology` : |
Returns : |

### tracker_ontology_get_last_modified ()

    time_t              tracker_ontology_get_last_modified  (TrackerOntology *ontology);

`ontology` : |
Returns : |

### tracker_ontology_get_type ()

    GType               tracker_ontology_get_type           (void);

Returns : |

### tracker_ontology_get_uri ()

    const gchar *       tracker_ontology_get_uri            (TrackerOntology *ontology);

`ontology` : |
Returns : |

### tracker_ontology_new ()

    TrackerOntology *   tracker_ontology_new                (void);

Returns : |

### tracker_ontology_set_is_new ()

    void                tracker_ontology_set_is_new         (TrackerOntology *ontology,
                                                             gboolean value);

`ontology` : |
`value` : |

### tracker_ontology_set_last_modified ()

    void                tracker_ontology_set_last_modified  (TrackerOntology *ontology,
                                                             time_t value);

`ontology` : |
`value` : |

### tracker_ontology_set_uri ()

    void                tracker_ontology_set_uri            (TrackerOntology *ontology,
                                                             const gchar *value);

`ontology` : |
`value` : |